Ubuntu

Launcher - Update the icons used for the Software Centre, Nautilus, and Software Updater

Reported by John Lea on 2012-11-21
96
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Medium
John Lea
Ubuntu Software Center
Status tracked in Trunk
Stable-5-6
Undecided
Unassigned
Trunk
Undecided
Unassigned
Unity
Medium
Unassigned
humanity-icon-theme (Ubuntu)
Low
Unassigned
nautilus (Ubuntu)
Low
Unassigned
software-center (Ubuntu)
Wishlist
Unassigned
ubuntu-themes (Ubuntu)
Medium
Unassigned
unity (Ubuntu)
Low
Unassigned
update-manager (Ubuntu)
Low
Unassigned

Bug Description

Update the icons used for the Software Centre, Nautilus, and Software Updater to the new icons supplied in the attached file "Nautilus_USC_Updater_new_icons.zip".

When any of these three applications are running, the Launcher tiles they are mounted on should be illuminated in the following colours:
Nautilus: #af4853
Software center: #ffbf87
Software updater: #4c9e39

(Note this functionality was added to the Launcher in Unity 6.0 as a result of bug #962120)

So, packages shipping Nautilus, Software Center and Software updater should define in their .desktop file the proper X-Unity-IconBackgroundColor field with the mentioned colors.

------------------------------------

This change is part of a larger set of Launcher icon changes, see attached image "preview-new-launcher-icons.png" for how the launcher will appear when the full set of changes are made.

The other bugs that are part of this same change request are:

bug #1081704 (Dash - update the 'App Lens' icon asset in the Dash bottom lens nav bar)
bug #1081702 (Update the default wallpaper in 13.04)
bug #838854 (Workspaces, Launcher - The workspace Launcher icon should change depending on which workspace is currently being utilised)
bug #1081697 (Launcher - Update BFB icon to use a new special asset)
bug #1081687 (Launcher - Update Launcher tile assets)
bug #1081691 (Launcher - Update the icons used for the Software Centre, Nautilus, and Software Updater)

John Lea (johnlea) wrote :
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → Medium
status: New → Fix Committed
tags: added: launcherassets udp
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
John Lea (johnlea) wrote :
John Lea (johnlea) on 2012-11-21
description: updated
John Lea (johnlea) on 2012-11-21
description: updated
John Lea (johnlea) on 2012-11-21
description: updated
description: updated
Jeremy Bicha (jbicha) wrote :

The green for the Software Updater tile is rather unusual as the icon itself doesn't use green at all, and purple for the Files tile is also a bit strange.

I think the static "progress bar" on the Software Center and Updater icons is rather confusing. How will those work when there is an active progress bar?

But at least these designs are plenty early, so there's time to try them out! :)

Marco Scannadinari (zheoffec) wrote :

The software updater icon looks a bit dodgy also - too much shine, and does not appear 'sharp' enough...

Changed in nautilus (Ubuntu):
status: New → Confirmed
description: updated
Changed in software-center (Ubuntu):
status: New → Confirmed
Changed in unity:
status: Triaged → Won't Fix
no longer affects: update-manager
Changed in unity (Ubuntu):
status: Triaged → Confirmed
Changed in update-manager (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
status: Confirmed → Invalid
Changed in humanity-icon-theme (Ubuntu):
status: New → Confirmed
Lain_13 (lain-halfbit) wrote :

Wikipedia "Computer icons":
> Computer icons are by definition language-independent; they do not rely on letters or words to convey their meaning.

This 'A' thing with or without progress-bar is not language-independent at all and you are not going to make language-specific icons for all supported languages, are you?

Lain_13 (lain-halfbit) wrote :

Furthermore it's "Ubuntu Software Center" and not "Ubuntu Applications Center". Why "A" at all?
It's wrong even if we put aside previous problem (#5).

Adolfo Jayme (fitoschido) wrote :

@lain_halfbit: Seems you're trying to find problems in ev'rything? Please avoid using bug reports as discussion forums! And don't cite Wikipedia to prove a point, I dislike that ;-)

Roshan (rospkos-07) wrote :

about the updater icon, i hope it is not final.. i would like to have it icon dynamically ..ie.. colorless when no updates are needed, green color plus badge count .. I feel it does not need 'A' and i suggest 'screen with the package' icon inside the update circle, it means it look as a software updater across the devices( in my opinion these devices have screens ,, ie mobile, desktop, tablet)

Toni Lähdekorpi (lahdekorpi) wrote :

So, are there going to be different versions with alternative letters for each supported language in Ubuntu?
Like "O" for Finnish and "P" for Spanish, etc.
Or how are the translator teams supposed to cope with this?

Saji Nediyanchath (saji89) wrote :

The "A" definitely seems language specific.

First of all: what the "A" is suposed to mean? Applications? Do you really
think users will understand that?

And, even if they understand, non-English users won't. In Portuguese,
"Programas" doesn't start with "A".

Hans Heintze (hansheintze1) wrote :

I agree that the "A" is a bit confusing, perhaps you could use lens-nav-app.svg from the unity visual assets. This would give us greater consistancy across the OS and stop the icon from being language specific.

you can grab the asset here:
http://ubuntuone.com/4CEL2OxpbpfJpSmuEFQ9xc

Lain_13 (lain-halfbit) wrote :

@Adolfo Jayme Barrientos:
You have seen me in two bugs here (or probably 3) and already made such conclusion! And like I have to care do you like quotes from wiki or not. Fascinating…

Icons must be language-independent. It's just common sense and A letter on these icons have no meaning at all. It clearly fails to represent Ubuntu Software Center. As contributor to localizations and translations you have to understand this even better then I do.

@Hans Heintze:
Nice idea to solve this issue you have here! I do agree with it.

Saji Nediyanchath (saji89) wrote :

The "A" definitely needs to replaced with some language independent visual indicator like the one specified by @Hans Heintze.

Vish (vish) wrote :

@Marco Trevisan:
Doesnt this part need tweaking in unity?
" the Launcher tiles they are mounted on should be illuminated in the following colours:
Nautilus: #af4853
Software center: #ffbf87
Software updater: #4c9e39 "

Changed in unity (Ubuntu):
status: Invalid → Triaged
affects: humanity-icon-theme (Ubuntu) → ubuntu-mono (Ubuntu)
Changed in ubuntu-mono (Ubuntu):
status: Confirmed → Triaged
Dmitry Shachnev (mitya57) wrote :

@Vish: no, the colours need to be set in .desktop files (X-Unity-IconBackgroundColor field).

By the way, my +1 to replacing the A letter with something more understandable.

Vish (vish) on 2012-11-24
Changed in unity (Ubuntu):
status: Triaged → Invalid
Davide Depau (davideddu) wrote :

> By the way, my +1 to replacing the A letter with something more understandable.
Or change the name of Ubuntu Software Center... Maybe to "Ubuntu Application Center" or "Ubuntu App Store"...

Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Jeremy Bicha (jbicha) wrote :

Neither nautilus nor update-manager include these icons.

no longer affects: nautilus (Ubuntu)
affects: update-manager (Ubuntu) → humanity-icon-theme (Ubuntu)
Jeremy Bicha (jbicha) wrote :

Restoring nautilus & update-manager for the X-Unity-IconBackgroundColor tasks.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Changed in update-manager (Ubuntu):
status: New → Confirmed
no longer affects: unity (Ubuntu)
Vish (vish) wrote :

Icon needs to just be added in Ubuntu-mono. Not in Humanity.

Changed in humanity-icon-theme (Ubuntu):
importance: Medium → Undecided
status: Confirmed → Invalid
no longer affects: humanity-icon-theme (Ubuntu)
Jeremy Bicha (jbicha) wrote :

Isn't ubuntu-mono supposed to be for mono icons, and full-color ones can go in humanity?

Jeremy Bicha (jbicha) wrote :

For instance, the HighContrast icon theme inherits from gnome, but we've hacked it to also inherit from Humanity.

Sebastien Bacher (seb128) wrote :

Could whoever came with the X-Unity-IconBackgroundColor idea give details on:

- where it was discussed

- why is it needed (is the current algorythm not good enough, can we fix that)?

- what number of .desktop you envision to see patched this way?

Did you consider that hardcoding a color probably works with a specific icon, what if somebody changes the icon theme from the default one? That would probably make the color wrong...

Changed in nautilus (Ubuntu):
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

settings to "incomplete" for nautilus, I think that's not a good idea and require discussions to sort out the details before being considered

Changed in nautilus (Ubuntu):
status: Confirmed → Incomplete
Changed in software-center (Ubuntu):
importance: Undecided → Wishlist
Changed in update-manager (Ubuntu):
importance: Undecided → Wishlist
Changed in ubuntu-mono (Ubuntu):
importance: Undecided → Low
Vish (vish) wrote :

Jeremy,
We already do add color icons in ubuntu-mono for a few apps. Ex: Nautilus > 'system-file-manager', 'user-desktop' .
We do that so that these changes affect Ubuntu only and not other downstream distros which might use Humanity.
Also, these icons are most probably proprietary, so we do not want to add these icons to Humanity and change the licensing/authors/etc..

Pablo R. Dinella (ipablo.rd) wrote :

What are the license for this icons? Can I use for commercial purposes in a youtube video?

Michael Vogt (mvo) on 2012-12-10
Changed in software-center (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.5.2.1

---------------
software-center (5.5.2.1) raring; urgency=low

  * lp:~mvo/software-center/lp1081691:
    - add set X-Unity-IconBackgroundColor=#ffbf87 (LP: #1081691)
  * lp:~mvo/software-center/add-missing-dependency-lp888401:
    - add missing dependency on gvfs-backends to get working
      screenshots support (LP: #888401) on systems like kubuntu
  * fix tests in the ADT environment
 -- Michael Vogt <email address hidden> Thu, 13 Dec 2012 21:05:58 +0100

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released

Are these icons supposed to show up after doing updates? I'm not seeing them.

Dmitry Shachnev (mitya57) wrote :

Moving to ubuntu-themes (the successor of ubuntu-mono & light-themes).

Also, how about moving the X-Unity-IconBackgroundColor thing into the theme itself (i.e. we can ship a file like /usr/share/icons/Ubuntu-Mono-*/unity-colors that Unity can use)?

affects: ubuntu-mono (Ubuntu) → ubuntu-themes (Ubuntu)
Didier Roche (didrocks) wrote :

John, we need svg icons rather than png ones for the 3 icons (nautilus/update-manager and software-center). Can you please provide that?

John Lea (johnlea) wrote :

@didrocks; Matthieu James needs to look into this, I'll email him now. thx!

Matthieu James (tiheum) wrote :

This attachment contains the SVG for the 3 applications in 16x16, 24x24, 32x32, 48x48 and 128x128. Tell me if you need another resolution.

Changed in ubuntu-themes (Ubuntu):
importance: Low → Medium
Adolfo Jayme (fitoschido) wrote :

What's still blocking this?

Changed in nautilus (Ubuntu):
status: Incomplete → Confirmed
importance: Wishlist → Low
Changed in update-manager (Ubuntu):
importance: Wishlist → Low
Changed in humanity-icon-theme (Ubuntu):
importance: Undecided → Low
status: New → In Progress
Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
Changed in ubuntu-themes (Ubuntu):
status: Triaged → In Progress
Changed in software-center (Ubuntu):
status: Fix Released → In Progress
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Changed in humanity-icon-theme (Ubuntu):
status: In Progress → Fix Committed
Changed in update-manager (Ubuntu):
status: Invalid → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package humanity-icon-theme - 0.6.2

---------------
humanity-icon-theme (0.6.2) raring; urgency=low

  * Include updated nautilus and update-manager icons,
    thanks Matthieu James (lp: #1081691)
 -- Sebastien Bacher <email address hidden> Thu, 07 Mar 2013 19:45:54 +0100

Changed in humanity-icon-theme (Ubuntu):
status: Fix Committed → Fix Released
Alin Andrei (nilarimogard) wrote :

Mm after the Humanity icon theme update from a few minutes ago, the Software Updater icon did change, but the Nautilus icon didn't. The only way to get the new Nautilus icon is to switch to the Humanity icon theme, but it doesn't work with Ubuntu-mono icon theme for some reason.

Adolfo Jayme (fitoschido) wrote :

@nilarimogard: Yep, that'll be fixed after this is merged: https://code.launchpad.net/~seb128/ubuntu-themes/nautilus-icon-update/+merge/152270

Changed in nautilus (Ubuntu):
status: Triaged → In Progress
Changed in update-manager (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.6.3-0ubuntu8

---------------
nautilus (1:3.6.3-0ubuntu8) raring; urgency=low

  * debian/control.in:
    - Build-Depends on dh-migrations
  * debian/nautilus.migrations, debian/nautilus-unity-launcher-icon.py:
    - script to migration the nautilus' unity launcher entry
  * debian/rules:
    - use dh_migrations
  * debian/nautilus-home.desktop, debian/nautilus-home.desktop.in:
    - use NoDisplay=true as a first step to deprecation, we need to keep
      the entry until the next LTS for migration reasons
 -- Sebastien Bacher <email address hidden> Fri, 08 Mar 2013 16:56:05 +0100

Changed in nautilus (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 13.04daily13.03.12-0ubuntu1

---------------
ubuntu-themes (13.04daily13.03.12-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * Launcher - Update the icons used for the Software Centre, Nautilus,
    and Software Updater (LP: #1081691)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 279
 -- Ubuntu daily release <email address hidden> Tue, 12 Mar 2013 00:02:05 +0000

Changed in ubuntu-themes (Ubuntu):
status: In Progress → Fix Released
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Changed in update-manager (Ubuntu):
status: In Progress → Fix Committed
Changed in unity:
status: Won't Fix → In Progress
Changed in unity (Ubuntu):
importance: Undecided → Low
status: New → In Progress
Jonathan Meek (shroudedcloud) wrote :

Software Center is still showing the old icon for me.

Sebastien Bacher (seb128) wrote :

@Jonathan: did you build s-c from trunk? as indicated the s-c part is "fix commited", not "fix released" (e.g the fix is in the vcs, not in Ubuntu yet)

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity at revision 3210, scheduled for release in unity, milestone backlog

Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0daily13.03.13.1-0ubuntu1

---------------
unity (6.12.0daily13.03.13.1-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * Launcher - Update the icons used for the Software Centre, Nautilus,
    and Software Updater (LP: #1081691)

  [ Andrea Azzarone ]
  * Nautilus windows don't get the the focus when opened via the dash.
    (LP: #1152733)

  [ Marco Trevisan (Treviño) ]
  * New Shutdown view disables panel shadow (LP: #1152760)
  * Shutdown goodbye text is sometimes partly missing (LP: #1152978)
  * Shutdown view should be closable by escape-key (LP: #1152712)
  * Press Alt+F1, panel’s shadow dissapear (LP: #942965)
  * Long text in previews or dialogs is not properly aligned and/or
    missing (LP: #1152980)
  * Panel Shadow is not drawn properly during workspace switching (LP:
    #1153699)
  * QuicklistMenuItem's do not export the event timestamp on Activate
    (LP: #1154082)
  * [multimonitor] Dash - Opening dash or HUD on one screen removes
    panel shadow on the other (LP: #892718)

  [ Łukasz 'sil2100' Zemczak ]
  * Lenses shortcuts not working in singular cases (e.g. Super+A) (LP:
    #1152517)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3211
 -- Ubuntu daily release <email address hidden> Wed, 13 Mar 2013 09:23:11 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Jonathan Meek (shroudedcloud) wrote :

@Sebastien: Thanks, I mis-read my e-mails.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.185

---------------
update-manager (1:0.185) raring; urgency=low

  [ Sebastien Bacher ]
  * Specify a background color for the unity launcher icon (lp: #1081691)

  [ Michael Terry ]
  * Look for to-be-updated application icons in app-install-data
    (LP: #1145157)
 -- Michael Terry <email address hidden> Fri, 15 Mar 2013 10:16:44 -0400

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.5.6-0ubuntu1

---------------
software-center (5.5.6-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Remove "foo" tooltip from account login/creation dialogs. (LP: #1076189)
    - Add new icons from design team. (LP: #1081691)
    - Remove extra .desktop file that we don't need. (LP: #1153548)
  * debian/rules:
    - Remove complicated unbranding rule.
 -- Rodney Dawes <email address hidden> Wed, 20 Mar 2013 15:52:01 -0400

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Julien Funk (jaboing) on 2013-04-04
tags: added: u1-notrack
Changed in unity:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2013-06-20
Changed in ayatana-design:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers